# std::discrete_distribution<IntType>::reset

From cppreference.com
< cpp‎ | numeric‎ | random‎ | discrete distribution

void reset(); |  | (since C++11)

Resets the internal state of the distribution object. After a call to this function, the next call to operator() on the distribution object will not be dependent on previous calls to operator().

### Parameters

(none)

### Return value

(none)

### Complexity

Constant.

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/numeric/random/discrete_distribution/reset&oldid=50928"